Subject: [homenet] [Technical Errata Reported] RFC7788 (4677)

From: RFC Errata System <[email-masked]>
Date: Tue, 26 Apr 2016 10:45:49 -0700 (PDT)

The following errata report has been submitted for RFC7788,
"Home Networking Control Protocol".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7788&eid=4677

--------------------------------------
Type: Technical
Reported by: Tim Wicinski <[email-masked]>

Section: 8

Original Text
-------------
A network-wide
   zone is appended to all single labels or unqualified zones in order
   to qualify them. ".home" is the default; however, an administrator
   MAY configure the announcement of a Domain-Name TLV (Section 10.6)
   for the network to use a different one.

Corrected Text
--------------
A network-wide
   zone is appended to all single labels or unqualified zones in order
   to qualify them. Sn administrator
   MAY configure the announcement of a Domain-Name TLV (Section 10.6)
   for the network. 

Notes
-----
It may appear that the use of the label ".home" is unofficially assigning this to be added to the Special Use Domain Registry. That registry can only be updated using the process outlined in RFC6761, therefore the text identifying ".home" as the default network-wide zone is in error.

It is unclear of the IESG and the IETF in publishing this proposed standard if the intent was to use ".home" as an example or placeholder until a name can be reserved.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7788 (draft-ietf-homenet-hncp-10)
--------------------------------------
Title               : Home Networking Control Protocol
Publication Date    : April 2016
Author(s)           : M. Stenberg, S. Barth, P. Pfister
Category            : PROPOSED STANDARD
Source              : Home Networking
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: Tim Wicinski <[email-masked]>
Date: Tue, 26 Apr 2016 14:39:44 -0400

Of course the Corrected Text should not say "Sn administrator" but
"An administrator.

tim

---

From: Megan Ferguson <[email-masked]>
Date: Thu, 28 Apr 2016 16:12:24 -0700

Hi Tim,

This has been updated as requested.

Thank you.

RFC Editor/mf